## morituri 0.1.1

=== debian/changelog ===
morituri (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Drop all local CDBS snippets, and locally implemented
    DEB_MAINTAINER_MODE: included with main cdbs package now.
  * Tighten build-dependency on cdbs, due to above.
  * Recursively expand package relations in rules file.
  * Refer to FSF website (not postal address) in header of rules file.
  * Fix typo in comment.
  * Update feature list in long description: Add lossy encoding, re-
    encoding, and tagging of MusicBrainz id's.
  * Recommend gstreamer0.10-ffmpeg, and suggest gstreamer0.10-lame.
  * Mention in long description which encoding profiles are available
    always or need optional gstreamer plugins installed.
  * Bump copyright year in rules file.
  * Update debian/* in copyright file, and fix use Maintainer stanza
    (not Contact).
  * Add patch 0001 from upstream VCS, to fix support non-UTF-8 build
    environments.
  * Enable regression tests.
  * Drop unused CDBS packaging relation variables from control file.
  * Fix add Python package relation variables in control file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Apr 2010 03:09:54 +0200

morituri (0.1.0-1) unstable; urgency=low

  * Initial release. Closes: bug#570248.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Feb 2010 12:19:16 +0100
