=== debian/control ===
Source: morituri
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts (>= 2.10.7~),
 dh-buildinfo,
 python-central,
 cdbs (>= 0.4.75~),
 python-dev (>= 2.3.5-7),
 debhelper (>= 6),
 python-epydoc,
 pychecker,
 python-twisted-core,
 python-gtk2,
 python-gobject,
 python-gst0.10,
 gstreamer0.10-plugins-good
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-multimedia/morituri.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/morituri.git;a=summary
Homepage: http://thomas.apestaart.org/morituri/trac/
XS-Python-Version: all

Package: morituri
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: CD ripper aiming for maximum quality
 Morituri is a CD ripper aiming for accuracy over speed.
 .
 Its features are modeled to compare with Exact Audio Copy on Windows.
 .
  - support for MusicBrainz for metadata lookup
  - support for AccurateRip verification
  - detects sample read offset of drives
  - performs test and copy rip
  - detects and rips Hidden Track One Audio
  - templates for file and directory naming
  - support for lossless encoding and lossy encoding or re-encoding
  - tagging and retagging using GStreamer, including MusicBrainz id's
  - for now, only a command line client (rip) is shipped
 .
 The following encoding profiles are always enabled: flac, wav, wavpack, vorbis
 .
 Installing gstreamer0.10-ffmpeg provides encoding profile alac.
 .
 Installing gstreamer0.10-lame profiles encoding profiles mp3 and mp3vbr.
