## morituri 0.1.2

=== debian/changelog ===
morituri (0.1.2-2) unstable; urgency=low

  * Acknowledge NMU. Thanks to Greor Hermann and Daniel T Chen.
    Apparently also closes: bug#655859.
  * Switch to new default Python install helper (from python-central).
    Closes: bug#616909. Thanks to Matthias Klose.
  * Update package relations:
    + Tighten build-dependency on cdbs: Needed for new Python handling.
    + Relax build-depend unversioned on debhelper and devscripts: needed
      versions satisfied even in oldstable.
    + Suggest (not build-depend or depend on) python-gtk2: needed only
      in odd (unused?) taskgtk module.
      Closes: bug#645331. Thanks to Julian Hughes.
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.
  * Improve patch:
    + Add upstream commit message.
    + Refresh with shortening options -pab --no-index --no-timestamps.
    + Drop Forwarded hint: wrong (not vendor-specific) and superfluous
      (implied by bug hint).
    + Rename to include the bug number 0535.
  * Add patch README documenting numbering micro-format.
  * Bump debhelper compat level to 7.
  * Fix typo and slightly improve long description.
    Closes: bug#646962. Thanks to Joe Dalton.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Feb 2012 19:19:30 +0100

morituri (0.1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: tests failed": add upstream patch, via Ubuntu / Daniel T Chen:
    - Add skip_flacparse.patch to fix FTBFS. (LP: #833896)
    Commit message: "flacparse is busted in gst-plugins-good 0.10.30 too"
    (Closes: #634400)

 -- gregor herrmann <gregoa@debian.org>  Wed, 25 Jan 2012 19:32:34 +0100

morituri (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 0001: Applied upstream.
  * Reflect upstream requirement changes:
    + Tighten (build-)dependency on gstreamer0.10-plugins-good.
    + Depend on python-cddb.
  * Fix depend on python-pkg-resources due to morituri/rip/cd.py cdrdao
    version check.
    Closes: bug#583286. Thanks to Elie De Brauwer.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add dpkg-source local-options hints.
  * Update copyright file:
    + Bump format to draft 174 of DEP-5.
    + Quote license names in License field comments, and rewrap at 72
      chars.
    + Extend copyright years.
  * Update control file:
    + Bump policy compliance to standards-version 3.9.2.
    + Shorten Vcs-* URLs.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Jun 2011 19:28:37 +0200
