=== debian/control ===
Source: morituri
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts,
 cdbs (>= 0.4.97~),
 debhelper,
 dh-buildinfo,
 python-epydoc,
 pychecker,
 python-twisted-core,
 python-gobject,
 python-gst0.10,
 gstreamer0.10-plugins-good (>= 0.10.22)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/morituri
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/morituri.git
Homepage: http://thomas.apestaart.org/morituri/trac/

Package: morituri
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}
Description: CD ripper aiming for maximum quality
 Morituri is a CD ripper aiming for accuracy over speed.
 .
 Its features are modeled to compare with Exact Audio Copy on Windows.
 .
  - support for MusicBrainz for metadata lookup
  - support for AccurateRip verification
  - detects sample read offset of drives
  - performs test and copy rip
  - detects and rips Hidden Track One Audio
  - templates for file and directory naming
  - support for lossless encoding and lossy encoding or re-encoding
  - tagging and retagging using GStreamer, including MusicBrainz id's
  - for now, only a command line client (rip) is shipped
 .
 The following encoding profiles are always enabled: flac, wav, wavpack,
 vorbis
 .
 Installing gstreamer0.10-ffmpeg enables encoding profile alac.
 .
 Installing gstreamer0.10-lame enables encoding profiles mp3 and mp3vbr.
