=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 DEB_BUILDDIR = build
-DEB_PYTHON_SYSTEM = pycentral
-DEB_PYTHON_PACKAGES = morituri
+DEB_PYTHON2_MODULE_PACKAGES = morituri
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/python-autotools.mk
@@ -26,7 +25,7 @@
 
 DEB_UPSTREAM_URL = http://thomas.apestaart.org/download/$(DEB_UPSTREAM_PACKAGE)
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
-DEB_UPSTREAM_TARBALL_MD5 = c201e8d14a7b809503ac1a767722daee
+DEB_UPSTREAM_TARBALL_MD5 = 37a30140e41d7e9161d6ed8a2b4da3ce
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -39,14 +38,16 @@
 
 # Needed both to build and at runtime
 #  * gstreamer0.10-plugins-good due to profiles flac, wav, wavpack and vorbis
-common-depends = python-gst0.10, python-gtk2, python-gobject, python-gst0.10, gstreamer0.10-plugins-good
-CDBS_DEPENDS = $(common-depends)
+common-depends = python-gst0.10, python-gobject, python-gst0.10, gstreamer0.10-plugins-good (>= 0.10.22)
+CDBS_DEPENDS_DEFAULT = $(common-depends)
 CDBS_BUILD_DEPENDS += , $(common-depends)
 
 # Needed (always/often/sometimes) at runtime
+#  * python-pkg-resources due to morituri/rip/cd.py cdrdao version check
 #  * gstreamer0.10-ffmpeg due to profile alac
 #  * gstreamer0.10-lame due to profiles mp3 and mp3vbr
 # TODO: recommend (not suggest) python-pycdio when packaged
-CDBS_DEPENDS += , python, python-musicbrainz2, cdparanoia, cdrdao
-CDBS_RECOMMENDS = gstreamer0.10-ffmpeg
-CDBS_SUGGESTS += , gstreamer0.10-lame, python-pycdio
+# python-gtk2 needed only in apparently unused common/taskgtk
+CDBS_DEPENDS_DEFAULT += , python, python-musicbrainz2, python-pkg-resources, cdparanoia, cdrdao, python-cddb
+CDBS_RECOMMENDS_DEFAULT = gstreamer0.10-ffmpeg
+CDBS_SUGGESTS_DEFAULT += , gstreamer0.10-lame, python-pycdio, python-gtk2
