## morituri 0.2.0

=== debian/changelog ===
morituri (0.2.0-2) unstable; urgency=low

  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Bump dephelper compatibility level to 8.
  * Use anonscm.debian.org URL for Vcs-Git and Vcs-Browser.
  * Simplify rules file, using CDBS DEB_UPSTREAM_CRUFT_MOVE.
    Tighten build-dependency on cdbs.
  * Fix separate upstream and packaging changes in 0.2.0-1 changelog
    section.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 May 2013 19:16:42 +0200

morituri (0.2.0-1) experimental; urgency=low

  [ upstream ]
  * New release.
    + added plugins system for logger.
    + added rip cd rip --logger to specify logger.
    + added reading speed, cdparanoia and cdrdao version to logger.
    + added rip drive analyze to detect whether we can defeat audio
      cache behaviour.
    + store drive offsets and cache defeating in config file.
    + rip drive list shows configured offset and audio cache defeating.
    + added rip image retag --release-id to specify the release id to
      tag with.
    + added %r/%R for release type to use in track/disc template.
    + added %x for extension to release template.

  [ Jonas Smedegaard ]
  * Packaging moved to collab-maint git. Update Cvs-* fields and
    Maintainer, and drop Uploaders.
  * Update copyright info:
    + List new github account as VCS source.
    + Use upstream issue tracker as preferred contact.
  * Update package relations:
    + Build-depend on python-docutils and gstreamer-tools.
    + Build-depend and recommend gstreamer0.10-tools.
    + Recommend python-xdg.
    + Build-depend on (not only depend on or recommend) cdparanoia,
      python-musicbrainzngs and gstreamer0.10-tools.
    New recommendations are due to new upstream features (GStreamer
    version check and use of configfile). New build-dependencies are
    due to improved testsuite.
  * Update patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Jan 2013 15:08:38 +0100

morituri (0.1.3-2) experimental; urgency=low

  * Fix suppress unneeded build-dependency on python-dev.
  * Bump standards-version to 3.9.4.
  * Add patch 1002 to improve manpage sections.
  * Fix extend patch 2001 to rename musicbrainzngs wrapper.
  * Fix suggest gstreamer0.10-plugins-ugly (not bogus
    gstreamer0.10-lame).
  * Tighten dependency on python-musicbrainzngs: We need a
    get_release_by_discid() fix.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Jan 2013 06:35:25 +0100

morituri (0.1.3-1) experimental; urgency=low

  [ upstream ]
  * New release.
    Closes: bug#697508.
    Highlights:
    - shorten really long file names if needed
    - support multi-disc ripping
    - add %y for release year in templates
    - added rip cd rip --release-id option to select the exact release
      Closes: bug#673285.
    - allow track and disc templates to create files in different
      directories
    - work out relative paths from cue/m3u files to audio files
    - Fix "rip offset find" failure.
      Closes: bug#617182.

  [ Jonas Smedegaard ]
  * Update copyright file format to 1.0.
  * Fix build-depend on python and python-dev.
  * List upstream SVN URI as secondary source in copyright.
  * Stop setting compression format in git-buildpackage config.
  * Drop patch 0535 avoiding some broken versions of gst-plugins-good:
    Applied upstream.
  * Add patch 2001 to use system-installed python-musicbrainzngs
    library.
  * Add patch 1001 to use autotools-resolved Python executable.
  * Depend on python-musicbrainzngs (not python-musicbrainz2).
  * Relax testing when targeted experimental suite.
  * (Re)generate most possible autotools files. Build-depend on
    automake1.11 and autoconf.
  * Relax build-dependency on python to be unversioned: Needed version
    satisfied in stable (Squeeze), and oldstable no longer supported.
  * Extend coverage of Debian packaging to include recent years, and
    tighten licensing to GPL-3+.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Jan 2013 02:46:46 +0100
