=== debian/control ===
--- 
+++ 
@@ -1,21 +1,29 @@
 Source: morituri
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: devscripts,
- cdbs (>= 0.4.97~),
+ cdbs (>= 0.4.106~),
+ python,
+ automake1.11,
+ autoconf,
+ python-dev (>= 2.3.5-7),
  debhelper,
  dh-buildinfo,
+ python-gobject,
+ python-gst0.10,
+ cdparanoia,
+ gstreamer0.10-plugins-good (>= 0.10.22),
+ python-musicbrainzngs (>= 0.2-1.1~),
  python-epydoc,
  pychecker,
  python-twisted-core,
- python-gobject,
- python-gst0.10,
- gstreamer0.10-plugins-good (>= 0.10.22)
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/morituri
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/morituri.git
+ python-docutils,
+ gstreamer-tools,
+ gstreamer0.10-tools
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/git/collab-maint/morituri
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/morituri.git
 Homepage: http://thomas.apestaart.org/morituri/trac/
 
 Package: morituri
