=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
http://thomas.apestaart.org/download/morituri/morituri-(.*)\.tar\.bz2
