## morituri 0.2.3

=== debian/changelog ===
morituri (0.2.3-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Drop patches 1001 2001: Adopted upstream.
  * Fix use canonical Vcs-Git URL.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Allow testsuite to fail: Apparently broken currently.
    Closes: bug#718132. Thanks to David Suárez and Rob Browning.
  * Update copyright info:
    + Extend coverage of autotools files.
    + Cover convenience code copy of musicbranzngs.
  * Build-depend on python-gtk2: Apparently needed by epydoc, even if
    never actually used at runtime.
  * Add patch 2001 to fix hashbang for rip executable.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2014 21:46:24 +0200
