=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: sound
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: devscripts,
- cdbs (>= 0.4.106~),
+Build-Depends: cdbs (>= 0.4.106~),
+ devscripts,
  python,
  automake1.11,
  autoconf,
@@ -21,9 +21,9 @@
  python-docutils,
  gstreamer-tools,
  gstreamer0.10-tools
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/morituri
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/morituri.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/morituri
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/morituri.git
 Homepage: http://thomas.apestaart.org/morituri/trac/
 
 Package: morituri
